Subject: Re: bug#34235: 27.0.50; lisp profiler does not work

From: Alex Branham <[email-masked]>
Date: Wed, 30 Jan 2019 14:47:06 -0600

On Wed 30 Jan 2019 at 10:43, Eli Zaretskii <[email-masked]> wrote:

>> From: Alex Branham <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>> Date: Wed, 30 Jan 2019 10:23:10 -0600
>>
>> > I see the bug with kernel versions 4.19.17 and 4.19.13.
>> > I don't see the bug with versions 4.18.19 and 4.19.10.
>> >
>> > It seems some incompatibility between Emacs and Linux was introduced in
>> > one of the kernels 4.19.1[123].
>>
>> I'm on kernel 4.14.95, so if it is a Linux issue, it's been backported.
>
> Do you keep records of your system updates?  If so, can you look there
> for relevant recent updates, like glibc or some kernel modules/drivers
> or libraries?

nixOS keeps old systems laying around. I was able to go back to a system
that doesn't have this bug (back in December, nixos-version
18.09.1763.fbb7dbdb95d). The only differences in package versions
between this system and the next one (where the profiler doesn't work,
nixos-version 18.09.1829.0396345b794) is this:

- linux-4.14.89
+ linux-4.14.91
- python3-3.6.7
+ python3-3.6.8
- libjpeg-turbo-1.5.3
+ libjpeg-turbo-2.0.1
- cpupower-4.14.89
+ cpupower-4.14.91

If there's any other info I can share, let me know.

Thanks,
Alex